var resultCode //Код ошибки//
var bankCheck //Банковский слип//
var rrn //Номер ссылки//
var amt //Сумма//

amt = randMinMax(100,1000) // Случайная сумма от 1р до 10р.//

oleObject = new ActiveXObject("SBRFSRV.Server")
ws = WScript.CreateObject('WScript.Shell')

//=======================ОПЛАТА====================================================//
oleObject.clear()
oleObject.SParam ("Amount", amt)
resultCode = oleObject.NFun(4000)
rrn = oleObject.GParamString("RRN")
bankCheck = oleObject.GParamString("Cheque1251")
showTextInNotepad(bankCheck)
oleObject.clear()

//=======================Возврат без карты=========================================//
oleObject.clear()
oleObject.SParam("Amount", amt)
//oleObject.SParam("Amount", 0) Если этого параметра нет или он равен 0, то сумма будет взята из данных об операции по ссылке и будет запрошено подтверждение корректности.//
oleObject.SParam("Track2", "QSELECT")
oleObject.SParam("RRN", rrn)
resultCode = oleObject.NFun(4002)
rrn = oleObject.GParamString("RRN")
bankCheck = oleObject.GParamString("Cheque1251")
showTextInNotepad(bankCheck)
oleObject.clear()

//=======================Служебные функции==========================================//
function showTextInNotepad(text){
filename = (new Date()).valueOf() + "UPOS_check.txt"
fso = WScript.CreateObject('Scripting.FileSystemObject')
file = fso.CreateTextFile(filename)
file.Write(text)
file.Close()
WScript.CreateObject('WScript.Shell').Run("notepad " + filename)
WScript.Sleep(2000)
fso.DeleteFile(filename)
}

function randMinMax(min, max)
{
	return Math.round(min - 0.5 + Math.random() * (max - min + 1))
}